// Person.h: interface for the Person class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PERSON_H_
#define _PERSON_H_

#include <string>
using namespace std;

class Person  
{
public:
// Constructor
Person(string fnarg, string lnarg, int agearg, double ssarg);
// Destructor; we'll discuss these later.
virtual ~Person();

// The "birthday" method, which makes a Person one year older and returns the new age.
int birthday (void);

// The "put" method is used, together with the overloaded << operator below, to make
// it easier to output Persons.
virtual ostream& put (ostream& s) const;

// Instance variables
private:
string firstName, lastName;
int age;
double shoeSize;
};

// Overload the << operator so that it works with left argument an ostream and
// right argument a Person.
// This is exactly the declaration necessary in order for "cout << thisGuy" to work.
// Note that this operator overloading is declared OUTSIDE the class.

ostream& operator<< (ostream&s, const Person & instr);

#endif //ifndef