// Pet.h: interface for the Pet class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PET_H_
#define _PET_H_

#include <string>
using namespace std;

class Pet  
{
public:
	Pet(float weightarg, int agearg);
	virtual ~Pet();

	bool fitsInCage (float cageCapacity) const;
	// The "const" declaration means that this method doesn't modify the Pet it's called on.
	int birthday ();
	float getWeight () const;
	int getAge () const;
	virtual string sound(void) const = 0;
	// The "= 0" actually has nothing to do with the number zero; it actually means that this
	// function isn't defined for Pets at all, and MUST be defined in every subclass.
	// One of the silliest syntax rules in the C++ language....
	virtual string description(void) const;
	virtual string petType(void) const = 0;
	virtual bool canFly() const = 0;

protected: // i.e. available only within Pet and its subclasses
	string basicDescription(void) const;

private:
	float weight;
	int age;

};

#endif // !defined(AFX_PET_H__D3B39943_BE92_11D5_85E5_00C04F279068__INCLUDED_)
